<?php

use Illuminate\Support\Facades\Schema;
use Illuminate\Database\Schema\Blueprint;
use Illuminate\Database\Migrations\Migration;

class CreateLogTable extends Migration
{
    //   已改存於 Influxdb 2020/08/28

    /**
     * Run the migrations.
     *
     * @return void
     */
    public function up()
    {
        Schema::create('Log', function (Blueprint $table) {
            $table->bigIncrements('No');
            $table->integer("Operator");
            $table->string("IP");
            //$table->string("Date");
            //$table->string("Time");
            $table->string("Operate_Type");
            $table->string("Operate_Page");
            $table->integer("Operate_Device")->nullable();
            $table->string("Operate_Detail")->nullable();
            $table->timestamps();
        });
    }

    /**
     * Reverse the migrations.
     *
     * @return void
     */
    public function down()
    {
        Schema::dropIfExists('Log');
    }
}
